<!doctype html>
<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <link rel=stylesheet type=text/css href="{{ url_for('static', filename='style.css') }}">
  <title>{{ title }}</title>
</head>

<body>
  <h2><div id="header">
    <a href="{{ url_for('home') }}" class="header" link="#ffffff" vlink="#ffffff" alink="#ffffff">Home</a>&nbsp|
    {% if current_user.is_authenticated %}
	
    Hello, {{ current_user.name }}!
    <a class="nav-item nav-link" href="{{ url_for('logout') }}" link="#ffffff" vlink="#ffffff" alink="#ffffff">Logout</a>&nbsp|
    {% else %}
    Hello, Guest! &nbsp| <a href="{{ url_for('login') }}"link="#ffffff" vlink="#ffffff" alink="#ffffff">Login&nbsp;</a>
    or <a href="{{ url_for('register') }}"link="#ffffff" vlink="#ffffff" alink="#ffffff">Register</a>&nbsp|
    {% endif %}
 

  <h2></div>

  <div>
    {% with messages = get_flashed_messages() %}
    {% if messages %}
    <ul class=flashes>
      {% for message in messages %}
      <li>{{ message }}</li>
      {% endfor %}
    </ul>
    {% endif %}
    {% endwith %}
  </div>

  <div id="content">
    {% block content %}
    {% endblock %}
  </div>

</body>
</html>
